#!/bin/bash
# $ROOT is the path to unpacked slint[-<date>] archive, wherever it landed
ROOT=`dirname "$0"`
ROOT=`( cd "$ROOT" && cd .. && pwd )`
if [ ! "$#" = "2" ]; then
  echo "
This script allows to edit the same script for all slint versions.
Usage: edit_all.sh <script_name> <your_preferred_text_editor>
"
  exit
fi
cd ${ROOT}/data
lig=""
for i in 32-13.37 32-14.0 32-14.1 64-13.37 64-14.0 64-14.1; do
lig="$lig ${ROOT}/data/$i/source/$1"
done
$2 2>/dev/null $lig&
